﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GeometryFriendsAgents.GameStates {
    class FourthGameState : GameState {

        private float _xPos;

        public float xPos {
            get { return _xPos; }
        }

        private float _xSpeed;

        public float xSpeed {
            get { return _xSpeed; }
        }

        private int _collectiblesRemaining;

        public int CollectiblesRemaining {
            get { return _collectiblesRemaining; }
        }


        
        public FourthGameState(float xPos, float xSpeed, int collectiblesRemaining) {
            _xPos = xPos;
            _xSpeed = xSpeed;
            _collectiblesRemaining = collectiblesRemaining;
        }

        public int GetStateId () {
            return (((int)xPos).ToString() +"/" + ((int)xSpeed).ToString() + "/"+ CollectiblesRemaining.ToString()).GetHashCode();
        }
    }
}
