﻿using GeometryFriendsAgents.GameStates;
using GeometryFriendsAgents.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GeometryFriendsAgents {
    class InterPlatformPlayedGameStateInfo {

        private GameState _state;

        public GameState State {
            get { return _state; }
        }

        private int _move;

        public int Move {
            get { return _move; }
        }

        private DateTime _playedTime;

        public DateTime PlayedTime {
            get {
                return _playedTime;
            }
        }

        private GraphLink _link;

        public GraphLink Link {
            get { return _link; }
        }

        public InterPlatformPlayedGameStateInfo(GameState state, int move, GraphLink link, DateTime playedTime) {
            _state = state;
            _move = move;
            _link = link;
            _playedTime = playedTime;
        }
    }

}

