﻿using GeometryFriendsAgents.GameStates;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GeometryFriendsAgents {
    class IntraPlatformPlayedGameStateInfo {

        private GameState _state;

        public GameState State {
            get { return _state; }
        }

        private int _move;

        public int Move {
            get { return _move; }
        }

        private DateTime _playedTime;

        public DateTime PlayedTime {
            get {
                return _playedTime;
            }
        }

        private int _platformId;

        public int PlatformId {
            get { return _platformId; }
        }

        public IntraPlatformPlayedGameStateInfo(GameState state, int move, int platformId, DateTime playedTime) {
            _state = state;
            _move = move;
            _platformId = platformId;
            _playedTime = playedTime;
        }
    }

}

