﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GeometryFriendsAgents.GameStates {
    class SecondGameState : GameState {

        private float _xPos;

        public float xPos {
            get { return _xPos; }
        }

        private int _collectiblesRemaining;

        public int CollectiblesRemaining {
            get { return _collectiblesRemaining; }
        }


        
        public SecondGameState(float xPos, int collectiblesRemaining) {
            _xPos = xPos;
            _collectiblesRemaining = collectiblesRemaining;
        }

        public int GetStateId () {
            return (((int)xPos).ToString() + CollectiblesRemaining.ToString()).GetHashCode();
        }
    }
}
