﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace GeometryFriendsAgents.GameStates {
    class ThirdGameState : GameState {

        private float _xPos;

        public float xPos {
            get { return _xPos; }
        }

        private float _yPos;

        public float yPos {
            get { return _yPos; }
        }

        private int _collectiblesRemaining;

        public int CollectiblesRemaining {
            get { return _collectiblesRemaining; }
        }


        
        public ThirdGameState(float xPos, float yPos, int collectiblesRemaining) {
            _xPos = xPos;
            _yPos = yPos;
            _collectiblesRemaining = collectiblesRemaining;
        }

        public int GetStateId () {
            return (((int)xPos).ToString() +"/" + ((int)yPos).ToString() + "/"+ CollectiblesRemaining.ToString()).GetHashCode();
        }
    }
}
